:root{
    --as-combobox-width-limit: calc(100vw - 20px);
}

.as-select-list-box {
    --select-list-estimate-width: 0;
    --max-height: calc(100vh - 80px);
    position: fixed;
    top: 10px;
    left: 10px;
    width: calc(var(--select-list-estimate-width) + 2px + 5px + 17px);
    font-size: 1rem;
    font-family: Roboto, sans-serif;
    border: solid 1px rgb(100, 100, 255);
    box-sizing: border-box;
    background-color: white;
    display: inline-block;
    vertical-align: top;
    -webkit-box-shadow: 2px 2px 6px 0px rgba(0, 0, 90, 0.55);
    -moz-box-shadow: 2px 2px 6px 0px rgba(0, 0, 90, 0.55);
    box-shadow: 2px 2px 6px 0px rgba(0, 0, 90, 0.55);
    outline: none;
}

.as-select-list-box.as-has-icon .absol-selectlist-item {
    height: calc(30rem / 14);
    line-height: calc(30rem / 14);
}

.as-select-list-box.as-enable-search {
    min-width: 10em;
}

.as-select-list-box.as-text-align-center .absol-selectlist-item {
    text-align: center;
}

.as-select-list-box.as-text-align-center .absol-selectlist-item-text {
    padding-right: calc(0.35em + 28px);
}

.as-select-menu.as-text-align-center {
    text-align: center;
}

.as-select-menu.as-text-align-center .absol-selectlist-item,
.as-select-list-box.as-text-align-center .absol-selectlist-item {
    padding-left: 0.35em;
    padding-right: calc(0.35em + 28px);
}

.as-select-menu.as-text-align-center .absol-selectlist-item-text,
.as-select-list-box.as-text-align-center .absol-selectlist-item-text {
    padding: 0;
}


div.absol-follower.as-select-list-box {
    z-index: 4000000;
}

.as-select-list-box .as-select-list-box {
    min-width: 100%;
}

.as-select-list-box-search-ctn {
    position: absolute;
    left: 0;
    right: 0;
}

.as-select-list-box-search-ctn .absol-search-text-input,
.as-select-list-box-search-ctn  .as-search-multi-mode-input
{
    height: 30px; /*avoid breaking layout*/
}

.as-select-list-box.as-enable-search.as-anchor-6 .as-select-list-box-search-ctn,
.as-select-list-box.as-enable-search.as-anchor-5 .as-select-list-box-search-ctn {
    bottom: 0;
    top: unset;
}

.as-select-list-box.as-enable-search.as-anchor-6,
.as-select-list-box.as-enable-search.as-anchor-5 {
    padding-bottom: calc(2em + 10px);
    padding-top: 0;
}

.as-select-list-box-scroller {
    overflow-y: auto;
    overflow-x: visible;
}

.as-select-list-box .as-select-list-box-scroller {
    max-height: var(--max-height);
}

.as-select-list-box.as-enable-search .as-select-list-box-scroller {
    max-height: calc(var(--max-height) - 2em - 10px);
}

.as-select-list-box-content {
    position: relative;
    font-size: 14px;
}

.as-select-list-box-page {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    overflow: hidden;
}

.as-select-list-box .absol-selectlist-item {
    cursor: default;
}

.as-select-list-box .absol-selectlist-item-text {
    max-width: calc(var(--as-combobox-width-limit) - var(--select-list-desc-width) - 10px);
    display: inline-block;
    vertical-align: middle;
    text-overflow: ellipsis;
    overflow: hidden;
}

.as-select-list-box-search-ctn {
    display: none;
    padding: 5px;
}


.as-select-list-box.as-enable-search .as-select-list-box-search-ctn {
    display: block;
}


.as-select-list-box .as-last-in-group span {
    line-height: 19px;
}


.as-select-list-box .absol-selectlist-item:not(.as-read-only):hover {
    background-color: #efefef;
}

.as-select-list-box.as-value-hidden .absol-selectlist-item.as-selected {
    color: #aaaaaa;
}

.as-select-list-box.as-value-hidden .absol-selectlist-item.as-selected.as-is-leaft {
    display: none;
}


/**********************************************************************************************************************/


.as-single-select-list {
    border: 1px solid var(--border-color);
    border-radius: var(--default-radius);
    padding: var(--distance-1);
    line-height: 1.5;
    overflow-y: auto;
}

.as-single-select-list-item,
.as-single-select-list-item * {
    cursor: default;
}

.as-single-select-list-item:hover {
    background-color: #efefef;
}

.as-single-select-list-item.as-selected,
.as-single-select-list-item.as-selected:hover {
    background-color: var(--table-new-row-selected);
}